Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class PKIXCertPath

    java.lang.Object
      |
      +--org.bouncycastle.jce.cert.CertPath
            |
            +--org.bouncycastle.jce.provider.PKIXCertPath

All Implemented Interfaces:
  java.io.Serializable

public class PKIXCertPath
extends CertPath

CertPath implementation for X.509 certificates.

See Also:
  Serialized Form

Inner classes inherited from class org.bouncycastle.jce.cert.CertPath
`CertPath.CertPathRep`

Method Summary
`java.util.List` | `getCertificates()` Returns the list of certificates in this certification path.
`byte[]` | `getEncoded()` Returns the encoded form of this certification path, using the default encoding.
`byte[]` | `getEncoded(java.lang.String encoding)` Returns the encoded form of this certification path, using the specified encoding.
`java.util.Iterator` | `getEncodings()` Returns an iteration of the encodings supported by this certification path, with the default encoding first.

Methods inherited from class org.bouncycastle.jce.cert.CertPath
`equals, getType, hashCode, toString, writeReplace`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getEncodings

    public java.util.Iterator getEncodings()

  Returns an iteration of the encodings supported by this certification path, with the default encoding first. Attempts to modify the returned Iterator via its remove method result in an UnsupportedOperationException.
  Overrides:
    `getEncodings` in class `CertPath`
  Returns:
    an Iterator over the names of the supported encodings (as Strings)

### getEncoded

    public byte[] getEncoded()
                      throws java.security.cert.CertificateEncodingException

  Returns the encoded form of this certification path, using the default encoding.
  Overrides:
    `getEncoded` in class `CertPath`
  Returns:
    the encoded bytes
  Throws:
    `java.security.cert.CertificateEncodingException` - if an encoding error occurs

### getEncoded

    public byte[] getEncoded(java.lang.String encoding)
                      throws java.security.cert.CertificateEncodingException

  Returns the encoded form of this certification path, using the specified encoding.
  Overrides:
    `getEncoded` in class `CertPath`
  Parameters:
    `encoding` - the name of the encoding to use
  Returns:
    the encoded bytes
  Throws:
    `java.security.cert.CertificateEncodingException` - if an encoding error occurs or the encoding requested is not supported

### getCertificates

    public java.util.List getCertificates()

  Returns the list of certificates in this certification path. The List returned must be immutable and thread-safe.
  Overrides:
    `getCertificates` in class `CertPath`
  Returns:
    an immutable List of Certificates (may be empty, but not null)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD